﻿/**
 * CIS 399-005: C# Programming (Spring 2009)
 * Problem Set 4 - SampleElevatorPlanners.dll
 * 
 * Note: the SampleElevatorPlanners project requires a reference
 * to the ElevatorPlanner project (specifically, its output dll) in order
 * to compile.  This sample project already has the reference added.  If
 * you need to add this reference again (or to another project that contains
 * additional planners):
 * 
 * 1) Right-click the project name in the Solution Explorer
 * 2) Click "Add References..."
 * 3) Click the "Projects" tab
 * 4) Select the ElevatorPlanner project
 * 
 * If you are compiling on the command-line, you will need to use /reference
 * to refer to the dll created by the ElevatorPlanner project.
 */

using System;

/// <summary>
/// RandomPlanners randomly select new actions for each elevator.
/// </summary>
public class RandomPlanner : IElevatorPlanner
{
    Random rand = new Random();

    public void PlanStep(IElevatorControl[] controls,
                  bool[] upFloors,
                  bool[] downFloors)
    {
        foreach (IElevatorControl c in controls)
        {
            c.SetAction((ElevAction) rand.Next(4));
        }
    }
}
